Package com.io7m.idstore.server.service.configuration.jaxb

# Class Configuration

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.Configuration

public class Configuration extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}Branding"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Database"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}HTTPServices"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}History"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Mail"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}OpenTelemetry" minOccurs="0"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}PasswordExpiration" minOccurs="0"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}RateLimiting"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}Sessions"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Branding`
  `branding`
  `protected Database`
  `database`
  `protected History`
  `history`
  `protected HTTPServices`
  `httpServices`
  `protected Mail`
  `mail`
  `protected OpenTelemetry`
  `openTelemetry`
  `protected PasswordExpiration`
  `passwordExpiration`
  `protected RateLimiting`
  `rateLimiting`
  `protected Sessions`
  `sessions`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configuration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Branding`
  `getBranding()`
  Gets the value of the branding property.
  `Database`
  `getDatabase()`
  Gets the value of the database property.
  `History`
  `getHistory()`
  Gets the value of the history property.
  `HTTPServices`
  `getHTTPServices()`
  Gets the value of the httpServices property.
  `Mail`
  `getMail()`
  Gets the value of the mail property.
  `OpenTelemetry`
  `getOpenTelemetry()`
  Gets the value of the openTelemetry property.
  `PasswordExpiration`
  `getPasswordExpiration()`
  Gets the value of the passwordExpiration property.
  `RateLimiting`
  `getRateLimiting()`
  Gets the value of the rateLimiting property.
  `Sessions`
  `getSessions()`
  Gets the value of the sessions property.
  `void`
  `setBranding(Branding value)`
  Sets the value of the branding property.
  `void`
  `setDatabase(Database value)`
  Sets the value of the database property.
  `void`
  `setHistory(History value)`
  Sets the value of the history property.
  `void`
  `setHTTPServices(HTTPServices value)`
  Sets the value of the httpServices property.
  `void`
  `setMail(Mail value)`
  Sets the value of the mail property.
  `void`
  `setOpenTelemetry(OpenTelemetry value)`
  Sets the value of the openTelemetry property.
  `void`
  `setPasswordExpiration(PasswordExpiration value)`
  Sets the value of the passwordExpiration property.
  `void`
  `setRateLimiting(RateLimiting value)`
  Sets the value of the rateLimiting property.
  `void`
  `setSessions(Sessions value)`
  Sets the value of the sessions property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### branding

    protected Branding branding

  - ### database

    protected Database database

  - ### httpServices

    protected HTTPServices httpServices

  - ### history

    protected History history

  - ### mail

    protected Mail mail

  - ### openTelemetry

    protected OpenTelemetry openTelemetry

  - ### passwordExpiration

    protected PasswordExpiration passwordExpiration

  - ### rateLimiting

    protected RateLimiting rateLimiting

  - ### sessions

    protected Sessions sessions

- ## Constructor Details

  - ### Configuration

    public Configuration()

- ## Method Details

  - ### getBranding

    public Branding getBranding()
    Gets the value of the branding property.
    Returns:
      possible object is `Branding`

  - ### setBranding

    public void setBranding(Branding value)
    Sets the value of the branding property.
    Parameters:
      `value` - allowed object is `Branding`

  - ### getDatabase

    public Database getDatabase()
    Gets the value of the database property.
    Returns:
      possible object is `Database`

  - ### setDatabase

    public void setDatabase(Database value)
    Sets the value of the database property.
    Parameters:
      `value` - allowed object is `Database`

  - ### getHTTPServices

    public HTTPServices getHTTPServices()
    Gets the value of the httpServices property.
    Returns:
      possible object is `HTTPServices`

  - ### setHTTPServices

    public void setHTTPServices(HTTPServices value)
    Sets the value of the httpServices property.
    Parameters:
      `value` - allowed object is `HTTPServices`

  - ### getHistory

    public History getHistory()
    Gets the value of the history property.
    Returns:
      possible object is `History`

  - ### setHistory

    public void setHistory(History value)
    Sets the value of the history property.
    Parameters:
      `value` - allowed object is `History`

  - ### getMail

    public Mail getMail()
    Gets the value of the mail property.
    Returns:
      possible object is `Mail`

  - ### setMail

    public void setMail(Mail value)
    Sets the value of the mail property.
    Parameters:
      `value` - allowed object is `Mail`

  - ### getOpenTelemetry

    public OpenTelemetry getOpenTelemetry()
    Gets the value of the openTelemetry property.
    Returns:
      possible object is `OpenTelemetry`

  - ### setOpenTelemetry

    public void setOpenTelemetry(OpenTelemetry value)
    Sets the value of the openTelemetry property.
    Parameters:
      `value` - allowed object is `OpenTelemetry`

  - ### getPasswordExpiration

    public PasswordExpiration getPasswordExpiration()
    Gets the value of the passwordExpiration property.
    Returns:
      possible object is `PasswordExpiration`

  - ### setPasswordExpiration

    public void setPasswordExpiration(PasswordExpiration value)
    Sets the value of the passwordExpiration property.
    Parameters:
      `value` - allowed object is `PasswordExpiration`

  - ### getRateLimiting

    public RateLimiting getRateLimiting()
    Gets the value of the rateLimiting property.
    Returns:
      possible object is `RateLimiting`

  - ### setRateLimiting

    public void setRateLimiting(RateLimiting value)
    Sets the value of the rateLimiting property.
    Parameters:
      `value` - allowed object is `RateLimiting`

  - ### getSessions

    public Sessions getSessions()
    Gets the value of the sessions property.
    Returns:
      possible object is `Sessions`

  - ### setSessions

    public void setSessions(Sessions value)
    Sets the value of the sessions property.
    Parameters:
      `value` - allowed object is `Sessions`